import java.util.*;
    
    public class Reunion extends Activite
    {
      //-----------------------------------------------------------------------------
      private String lieu;
      private Person initiateur;
      private Vector<Person> participants;
      //-----------------------------------------------------------------------------
      public Reunion(String but,TrancheHoraire trancheHoraire,
                   String lieu, Person initiateur, Vector<Person> participants)
      {
        super(but,trancheHoraire);
        this.lieu = lieu;
        this.initiateur = initiateur;
        this.participants = participants;
      }
      //-----------------------------------------------------------------------------
      public String getLieu()         { return lieu; }
      public String getInitiateur()   { return initiateur; }
      public Vector<String> getParticipants() { return participants; }
      //-----------------------------------------------------------------------------
      public void ajouterParticipant(String personne)
      {
        participants.addElement(personne);
      }
      //-----------------------------------------------------------------------------
      public int nbParticipants()
      {
        return participants.size() + 1;
      }
      //-----------------------------------------------------------------------------
      public String toString()
      {
        String affichage = "REUNION : " + getBut() + "\n  -> " + super.getTrancheHoraire() + "\n"
                         + "     " + initiateur + " -> ";
        for(int i=0;i<participants.size();i++)
        {
          affichage += participants.elementAt(i) + " - ";
        }
        affichage += "\n     " + nbParticipants() + " participants\n"
                   + "     " + lieu;
        return affichage;
      }
      //-----------------------------------------------------------------------------
    
    }